diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_add_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_add_comment.sql
new file mode 100644
index 0000000..8e9081a
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_add_comment.sql
@@ -0,0 +1,9 @@
+-- Text Search CONFIGURATION: test.test_fts_configuration_def1
+
+-- DROP TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1
+
+CREATE TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1 (
+	PARSER = default
+);
+
+COMMENT ON TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1 IS 'test comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_add_token.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_add_token.sql
new file mode 100644
index 0000000..fcf1c10
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_add_token.sql
@@ -0,0 +1,10 @@
+-- Text Search CONFIGURATION: test.test_fts_configuration_def1
+
+-- DROP TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1
+
+CREATE TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1 (
+	PARSER = default
+);
+
+COMMENT ON TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1 IS 'test comment';
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1 ADD MAPPING FOR file WITH english_stem;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_remove_token.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_remove_token.sql
new file mode 100644
index 0000000..130488b
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_remove_token.sql
@@ -0,0 +1,25 @@
+-- Text Search CONFIGURATION: test.test_fts_configuration_def2
+
+-- DROP TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2
+
+CREATE TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 (
+	PARSER = default
+);
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR asciihword WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR asciiword WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR email WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR file WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR float WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR host WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR hword WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR hword_asciipart WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR hword_numpart WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR hword_part WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR int WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR numhword WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR numword WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR sfloat WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR uint WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR url WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR url_path WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR version WITH simple;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_rename.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_rename.sql
new file mode 100644
index 0000000..6924617
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/alter_fts_conf_rename.sql
@@ -0,0 +1,10 @@
+-- Text Search CONFIGURATION: test.test_fts_configuration
+
+-- DROP TEXT SEARCH CONFIGURATION test.test_fts_configuration
+
+CREATE TEXT SEARCH CONFIGURATION test.test_fts_configuration (
+	PARSER = default
+);
+
+COMMENT ON TEXT SEARCH CONFIGURATION test.test_fts_configuration IS 'test comment';
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration ADD MAPPING FOR file WITH english_stem;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf.sql
new file mode 100644
index 0000000..bbcf47d
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf.sql
@@ -0,0 +1,7 @@
+-- Text Search CONFIGURATION: test."test_fts_conf_$%{}[]()&*^!@""'`\/#"
+
+-- DROP TEXT SEARCH CONFIGURATION test."test_fts_conf_$%{}[]()&*^!@""'`\/#"
+
+CREATE TEXT SEARCH CONFIGURATION test."test_fts_conf_$%{}[]()&*^!@""'`\/#" (
+	PARSER = default
+);
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf_def1.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf_def1.sql
new file mode 100644
index 0000000..31f6c01
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf_def1.sql
@@ -0,0 +1,7 @@
+-- Text Search CONFIGURATION: test.test_fts_configuration_def1
+
+-- DROP TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1
+
+CREATE TEXT SEARCH CONFIGURATION test.test_fts_configuration_def1 (
+	PARSER = default
+);
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf_def2.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf_def2.sql
new file mode 100644
index 0000000..07cd7b9
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/create_fts_conf_def2.sql
@@ -0,0 +1,26 @@
+-- Text Search CONFIGURATION: test.test_fts_configuration_def2
+
+-- DROP TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2
+
+CREATE TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 (
+	PARSER = default
+);
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR asciihword WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR asciiword WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR email WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR file WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR float WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR host WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR hword WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR hword_asciipart WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR hword_numpart WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR hword_part WITH english_stem;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR int WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR numhword WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR numword WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR sfloat WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR uint WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR url WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR url_path WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR version WITH simple;
+ALTER TEXT SEARCH CONFIGURATION test.test_fts_configuration_def2 ADD MAPPING FOR word WITH english_stem;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/test.json b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/test.json
new file mode 100644
index 0000000..a1b7d38
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/default/test.json
@@ -0,0 +1,99 @@
+{
+  "scenarios": [{
+      "type": "create",
+      "name": "Create FTS Configuration",
+      "endpoint": "NODE-fts_configuration.obj",
+      "sql_endpoint": "NODE-fts_configuration.sql_id",
+      "data": {
+        "name": "test_fts_conf_$%{}[]()&*^!@\"'`\\/#",
+        "schema": "test",
+        "schema_id": "<SCHEMA_ID>",
+        "prsname": "default",
+        "tokens": []
+      },
+      "expected_sql_file": "create_fts_conf.sql"
+    }, {
+      "type": "delete",
+      "name": "Drop FTS Configuration",
+      "endpoint": "NODE-fts_configuration.delete_id",
+      "data": {
+        "name": "test_fts_conf_$%{}[]()&*^!@\"'`\\/#"
+      }
+    }, {
+      "type": "create",
+      "name": "Create FTS Configuration with Parser",
+      "endpoint": "NODE-fts_configuration.obj",
+      "sql_endpoint": "NODE-fts_configuration.sql_id",
+      "data": {
+        "name": "test_fts_configuration_def1",
+        "schema": "test",
+        "schema_id": "<SCHEMA_ID>",
+        "prsname": "default",
+        "tokens": []
+      },
+      "expected_sql_file": "create_fts_conf_def1.sql"
+    }, {
+      "type": "alter",
+      "name": "Alter FTS Configuration add comment",
+      "endpoint": "NODE-fts_configuration.obj_id",
+      "sql_endpoint": "NODE-fts_configuration.sql_id",
+      "data": {
+        "description": "test comment"
+      },
+      "expected_sql_file": "alter_fts_conf_add_comment.sql"
+    }, {
+      "type": "alter",
+      "name": "Alter FTS Configuration add token file",
+      "endpoint": "NODE-fts_configuration.obj_id",
+      "sql_endpoint": "NODE-fts_configuration.sql_id",
+      "data": {
+        "tokens": {"added": [{"token": "file", "dictname": ["english_stem"]}]}
+      },
+      "expected_sql_file": "alter_fts_conf_add_token.sql"
+    }, {
+      "type": "alter",
+      "name": "Alter FTS Configuration Rename",
+      "endpoint": "NODE-fts_configuration.obj_id",
+      "sql_endpoint": "NODE-fts_configuration.sql_id",
+      "data": {
+        "name": "test_fts_configuration"
+      },
+      "expected_sql_file": "alter_fts_conf_rename.sql"
+    }, {
+      "type": "delete",
+      "name": "Drop FTS Configuration with parser",
+      "endpoint": "NODE-fts_configuration.delete_id",
+      "data": {
+        "name": "test_fts_configuration_def1"
+      }
+    }, {
+      "type": "create",
+      "name": "Create FTS Configuration with copy config",
+      "endpoint": "NODE-fts_configuration.obj",
+      "sql_endpoint": "NODE-fts_configuration.sql_id",
+      "data": {
+        "name": "test_fts_configuration_def2",
+        "schema": "test",
+        "schema_id": "<SCHEMA_ID>",
+        "copy_config": "english"
+      },
+      "expected_sql_file": "create_fts_conf_def2.sql"
+    }, {
+      "type": "alter",
+      "name": "Alter FTS Configuration remove token file",
+      "endpoint": "NODE-fts_configuration.obj_id",
+      "sql_endpoint": "NODE-fts_configuration.sql_id",
+      "data": {
+        "tokens": {"deleted": [{"token": "word", "dictname": ["english_stem"]}]}
+      },
+      "expected_sql_file": "alter_fts_conf_remove_token.sql"
+    }, {
+      "type": "delete",
+      "name": "Drop FTS Configuration with copy config",
+      "endpoint": "NODE-fts_configuration.delete_id",
+      "data": {
+        "name": "test_fts_configuration_def2"
+      }
+    }
+  ]
+}
